# Modified from Michael Aaron Safyan (michaelsafyan@gmail.com). Copyright (C) 2009-2010. Simplified BSD License.

#SET (CMAKE_SYSTEM_NAME Generic)
#SET (CMAKE_SYSTEM_VERSION 1)
SET (CMAKE_SYSTEM_PROCESSOR i686 CACHE STRING "" FORCE)
SET_PROPERTY(GLOBAL PROPERTY TARGET_SUPPORTS_SHARED_LIBS TRUE)

SET (SDKVER "SET_SDKVER" CACHE STRING "" FORCE)
SET (ICE_HOME "SET_ICE_HOME" CACHE PATH "" FORCE)

SET (ICE_FOUND "YES" CACHE BOOL "" FORCE)
SET (CISST_MTS_HAS_ICE "YES" CACHE BOOL "" FORCE)
SET (ICE_ICE_H_INCLUDE_DIR "${ICE_HOME}/include" CACHE PATH "" FORCE)
SET (ICE_SLICE2CPP "${ICE_HOME}/bin/slice2cpp" CACHE FILEPATH "" FORCE)
SET (ICE_LIBRARY_NAME_ZEROC_ICE "${ICE_HOME}/lib/libIce.a" CACHE PATH "" FORCE)

SET (DEVROOT "/Developer/Platforms/iPhoneSimulator.platform/Developer" CACHE STRING "" FORCE)
SET (SDKROOT "${DEVROOT}/SDKs/iPhoneSimulator${SDKVER}.sdk" CACHE STRING "" FORCE)
SET (CMAKE_INSTALL_PREFIX "${ICE_HOME}" CACHE PATH "" FORCE)
SET (CMAKE_OSX_SYSROOT "${SDKROOT}" CACHE PATH "" FORCE)
SET (CMAKE_OSX_ARCHITECTURES "i386" CACHE STRING "" FORCE)

SET (CMAKE_C_COMPILER "${DEVROOT}/usr/bin/gcc-4.2" CACHE FILEPATH "" FORCE)
SET (CMAKE_CXX_COMPILER "${DEVROOT}/usr/bin/g++-4.2" CACHE FILEPATH "" FORCE)

SET (CMAKE_C_FLAGS "-std=c99" "-x objective-c" CACHE STRING "" FORCE)
SET (CMAKE_CXX_FLAGS "-x objective-c++" CACHE STRING "" FORCE)
SET (CMAKE_BUILD_TYPE "Release" CACHE STRING "" FORCE)

ADD_DEFINITIONS("-arch i386")
ADD_DEFINITIONS("-pipe")
ADD_DEFINITIONS("-no-cpp-precomp")
ADD_DEFINITIONS("--sysroot=${SDKROOT}")
ADD_DEFINITIONS("-miphoneos-version-min=${SDKVER}")

INCLUDE_DIRECTORIES(SYSTEM "${SDKROOT}/usr/include")
LINK_DIRECTORIES("${SDKROOT}/usr/lib")

SET (CMAKE_FIND_ROOT_PATH "${SDKROOT}"  CACHE PATH "" FORCE)
SET (CMAKE_FIND_ROOT_PATH_MODE_PROGRAM BOTH)
SET (CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)
SET (CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)

SET (iPhone 1)
SET (iPhoneSimulator 1)
SET (iPhoneSimulator_VERSION ${SDKVER})
